VismaBouwsoftAPICalls.v1_GET_CostCalculation Method
v1_GET_CostCalculation() as String

This API call is used to get fields of a(n) CostCalculation(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /CostCalculation/
or
API Path: /CostCalculation/{id}
or
API Path: /CostCalculation/FieldInfo/

You can make this API call:
* without the key field id to get a list of CostCalculation
* with the key field id as the path parameter (the specific id of the CostCalculation you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
parent_type 2 tpString 0 No No No
parent_id 1 tpLong 0 No No No
parent_pricedecimals 1 tpLong 0 No No No
order_id 1 tpLong 0 No No No
order_companyid 1 tpLong 0 No No No
order_type 2 tpString 50 No No No
order_nr 1 tpLong 0 No No No
order_dc_id 1 tpLong 0 No No No
orderline_id 1 tpLong 0 No No No
orderline_linenr 1 tpLong 0 No No No
orderline_nr1 2 tpString 100 No No No
orderline_description 2 tpString 0 No No No
orderline_quantity 4 tpDouble 0 No No No
pricelinkedtocostcalculation 5 tpBool 0 No No No
pricelinkmethod 2 tpString 0 No No No
item_id 1 tpLong 0 No No No
item_nr1 2 tpString 100 No No No
item_description 2 tpString 0 No No No
page 1 tpLong 0 No No No
linenr 1 tpLong 0 No No No
type 2 tpString 0 No Yes No
type_localized 2 tpString 0 No No No
group 2 tpString 100 No Yes No
nr 2 tpString 100 No Yes No
description 2 tpString 0 No Yes No
job_id 1 tpLong 0 No Yes No
job_code 2 tpString 10 No Yes No
job_name 2 tpString 100 No No No
quantity 4 tpDouble 0 No Yes No
vf 4 tpDouble 0 No Yes No
workers 4 tpDouble 0 No Yes No
days 4 tpDouble 0 No Yes No
workinghours_perworker_perday 4 tpDouble 0 No Yes No
unit 2 tpString 10 No Yes No
price_unit 8 tpCurrency 0 No Yes No
price_total_without_margin 8 tpCurrency 0 No No No
margin 13 tpPercent 0 No Yes No
price_total_with_margin 8 tpCurrency 0 No No No
product_id 1 tpLong 0 No Yes No
machine_id 1 tpLong 0 No Yes No
hour_id 1 tpLong 0 No Yes No
address_id_subcontractor 1 tpLong 0 No Yes No
ts_lastupdate 3 tpDate 0 No No No

/CostCalculation/

API Path: /CostCalculation/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CostCalculation

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: IOtfWxftUIzSfUbfffzRqDfPfkfbfGfAfIrkztUPjUAGtOGUOb

Query Parameters :
ParameterName: filter, ParameterValue: parent_type%20eq%20%27orderline%27%20and%20parent_id%20eq%20105211

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–3/4”, “Records”: [
  {
    "id": 57369,
    "parent_type": "orderline",
    "parent_id": 105211,
    "parent_pricedecimals": 2,
    "order_id": 9400,
    "order_companyid": 1,
    "order_type": "OFFERTE",
    "order_nr": 2019000072,
    "order_dc_id": 0,
    "orderline_id": 105211,
    "orderline_linenr": 7,
    "orderline_nr1": "249",
    "orderline_description": "249 Express Elastische parketlijm",
    "orderline_quantity": 3,
    "pricelinkedtocostcalculation": true,
    "pricelinkmethod": "Unit Price",
    "item_id": 0,
    "item_nr1": "",
    "item_description": "",
    "page": 1,
    "linenr": 1,
    "type": "product",
    "type_localized": "Article",
    "group": "",
    "nr": "TE.001",
    "description": "Tegels Antraciet 41x41cm",
    "job_id": 0,
    "job_code": "",
    "job_name": "",
    "quantity": 100,
    "vf": 1,
    "workers": 0,
    "days": 0,
    "workinghours_perworker_perday": 8,
    "unit": "st.",
    "price_unit": 1.3,
    "price_total_without_margin": 130.0,
    "margin": 20,
    "price_total_with_margin": 156.0,
    "product_id": 5653,
    "machine_id": 0,
    "hour_id": 0,
    "address_id_subcontractor": 0,
    "ts_lastupdate": "2020–09–09 08:24:47"
  },
  {
    "id": 57716,
    "parent_type": "orderline",
    "parent_id": 105211,
    "parent_pricedecimals": 2,
    "order_id": 9400,
    "order_companyid": 1,
    "order_type": "OFFERTE",
    "order_nr": 2019000072,
    "order_dc_id": 0,
    "orderline_id": 105211,
    "orderline_linenr": 7,
    "orderline_nr1": "249",
    "orderline_description": "249 Express Elastische parketlijm",
    "orderline_quantity": 3,
    "pricelinkedtocostcalculation": true,
    "pricelinkmethod": "Unit Price",
    "item_id": 0,
    "item_nr1": "",
    "item_description": "",
    "page": 1,
    "linenr": 2,
    "type": "product",
    "type_localized": "Article",
    "group": "",
    "nr": "STG_10000204",
    "description": "S&S Lounge onderkast 2 lades B120xH50xD50cm LI + RE wit",
    "job_id": 0,
    "job_code": "",
    "job_name": "",
    "quantity": 561,
    "vf": 1,
    "workers": 0,
    "days": 0,
    "workinghours_perworker_perday": 8,
    "unit": "",
    "price_unit": 5.0,
    "price_total_without_margin": 2805.0,
    "margin": 0,
    "price_total_with_margin": 2805.0,
    "product_id": 0,
    "machine_id": 0,
    "hour_id": 0,
    "address_id_subcontractor": 0,
    "ts_lastupdate": "2020–09–09 08:24:47"
  }
,

]
}

https://ra.bouwsoft.be/api/v1/CostCalculation

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: IOtfWxftUIzSfUbfffzRqDfPfkfbfGfAfIrkztUPjUAGtOGUOb

Query Parameters :
ParameterName: filter, ParameterValue: order_type%20eq%20%27OFFERTE%27%20and%20order_nr%20eq%20170001092%20and%20orderline_linenr%20eq%201

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–3/4”, “Records”: [
  {
    "id": 45028,
    "parent_type": "orderline",
    "parent_id": 68696,
    "parent_pricedecimals": 2,
    "order_id": 5788,
    "order_companyid": 1,
    "order_type": "OFFERTE",
    "order_nr": 170001092,
    "order_dc_id": 0,
    "orderline_id": 68696,
    "orderline_linenr": 1,
    "orderline_nr1": "249",
    "orderline_description": "249 Express Elastische parketlijm",
    "orderline_quantity": 4,
    "pricelinkedtocostcalculation": true,
    "pricelinkmethod": "Total Price",
    "item_id": 0,
    "item_nr1": "",
    "item_description": "",
    "page": 1,
    "linenr": 1,
    "type": "hour",
    "type_localized": "Hour",
    "group": "01 Voorbereiding",
    "nr": "STG_10000204",
    "description": "S&S Lounge onderkast 2 lades B120xH50xD50cm LI + RE wit",
    "job_id": 2,
    "job_code": "01",
    "job_name": "VOORBEREIDING",
    "quantity": 2,
    "vf": 1,
    "workers": 1,
    "days": 0.25,
    "workinghours_perworker_perday": 8,
    "unit": "u.",
    "price_unit": 50.0,
    "price_total_without_margin": 100.0,
    "margin": 0,
    "price_total_with_margin": 100.0,
    "product_id": 0,
    "machine_id": 0,
    "hour_id": 2,
    "address_id_subcontractor": 0,
    "ts_lastupdate": "2019–08–20 12:42:41"
  },
  {
    "id": 46529,
    "parent_type": "orderline",
    "parent_id": 68696,
    "parent_pricedecimals": 2,
    "order_id": 5788,
    "order_companyid": 1,
    "order_type": "OFFERTE",
    "order_nr": 170001092,
    "order_dc_id": 0,
    "orderline_id": 68696,
    "orderline_linenr": 1,
    "orderline_nr1": "249",
    "orderline_description": "249 Express Elastische parketlijm",
    "orderline_quantity": 4,
    "pricelinkedtocostcalculation": true,
    "pricelinkmethod": "Total Price",
    "item_id": 0,
    "item_nr1": "",
    "item_description": "",
    "page": 1,
    "linenr": 2,
    "type": "product",
    "type_localized": "Article",
    "group": "",
    "nr": "0020681 9M06",
    "description": "Profiel proefhoeken",
    "job_id": 0,
    "job_code": "",
    "job_name": "",
    "quantity": 3,
    "vf": 1,
    "workers": 0,
    "days": 963.25,
    "workinghours_perworker_perday": 8,
    "unit": "lm.",
    "price_unit": 0.0,
    "price_total_without_margin": 0.0,
    "margin": 0,
    "price_total_with_margin": 0.0,
    "product_id": 1714816,
    "machine_id": 0,
    "hour_id": 0,
    "address_id_subcontractor": 0,
    "ts_lastupdate": "2019–08–20 12:42:41"
  }
,

]
}

https://ra.bouwsoft.be/api/v1/CostCalculation

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: tjtfWxfItkzSfjtDDtzRqPUbfltDIOIPjUjtzDjPVUlGDmIDPD
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–199/23365”, “Records”: [
  {
    "id": 73384,
    "parent_type": "item",
    "parent_id": 14005,
    "parent_pricedecimals": 4,
    "order_id": 0,
    "order_companyid": 0,
    "order_type": "",
    "order_nr": 0,
    "order_dc_id": 0,
    "orderline_id": 0,
    "orderline_linenr": 0,
    "orderline_nr1": "",
    "orderline_description": "",
    "orderline_quantity": 0,
    "pricelinkedtocostcalculation": false,
    "pricelinkmethod": "Unit Price",
    "item_id": 14005,
    "item_nr1": "0000.00000",
    "item_description": "Afbreken van bestaande gevelmetselwerk",
    "page": 1,
    "linenr": 1,
    "type": "product",
    "type_localized": "Article",
    "group": "",
    "nr": "",
    "description": "",
    "job_id": 0,
    "job_code": "",
    "job_name": "",
    "quantity": 1,
    "vf": 1,
    "workers": 0,
    "days": 0,
    "workinghours_perworker_perday": 8,
    "unit": "",
    "price_unit": 0.0,
    "price_total_without_margin": 0.0,
    "margin": 0,
    "price_total_with_margin": 0.0,
    "product_id": 0,
    "machine_id": 0,
    "hour_id": 0,
    "address_id_subcontractor": 0,
    "ts_lastupdate": "2023–08–31 14:26:35"
  },
  {
    "id": 2154,
    "parent_type": "item",
    "parent_id": 7381,
    "parent_pricedecimals": 2,
    "order_id": 0,
    "order_companyid": 0,
    "order_type": "",
    "order_nr": 0,
    "order_dc_id": 0,
    "orderline_id": 0,
    "orderline_linenr": 0,
    "orderline_nr1": "",
    "orderline_description": "",
    "orderline_quantity": 0,
    "pricelinkedtocostcalculation": false,
    "pricelinkmethod": "Unit Price",
    "item_id": 7381,
    "item_nr1": "00.01",
    "item_description": "Bouwsoft Cloud® (1 Licentie)",
    "page": 1,
    "linenr": 1,
    "type": "product",
    "type_localized": "Article",
    "group": "",
    "nr": "UIG VL 00",
    "description": "Installatie op cloud server",
    "job_id": 0,
    "job_code": "",
    "job_name": "",
    "quantity": 1,
    "vf": 1,
    "workers": 0,
    "days": 963.25,
    "workinghours_perworker_perday": 8,
    "unit": "st.",
    "price_unit": 0.0,
    "price_total_without_margin": 0.0,
    "margin": 0,
    "price_total_with_margin": 0.0,
    "product_id": 26745,
    "machine_id": 0,
    "hour_id": 0,
    "address_id_subcontractor": 0,
    "ts_lastupdate": "2024–05–08 14:18:31"
  }
,

]
}

/CostCalculation/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CostCalculation/45028

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: IOtfWxftUIzSfUbfffzRqDfPfkfbfGfAfIrkztUPjUAGtOGUOb

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 45028,
    "parent_type": "orderline",
    "parent_id": 68696,
    "parent_pricedecimals": 2,
    "order_id": 5788,
    "order_companyid": 1,
    "order_type": "OFFERTE",
    "order_nr": 170001092,
    "order_dc_id": 0,
    "orderline_id": 68696,
    "orderline_linenr": 1,
    "orderline_nr1": "249",
    "orderline_description": "249 Express Elastische parketlijm",
    "orderline_quantity": 4,
    "pricelinkedtocostcalculation": true,
    "pricelinkmethod": "Total Price",
    "item_id": 0,
    "item_nr1": "",
    "item_description": "",
    "page": 1,
    "linenr": 1,
    "type": "hour",
    "type_localized": "Hour",
    "group": "01 Voorbereiding",
    "nr": "STG_10000204",
    "description": "S&S Lounge onderkast 2 lades B120xH50xD50cm LI + RE wit",
    "job_id": 2,
    "job_code": "01",
    "job_name": "VOORBEREIDING",
    "quantity": 2,
    "vf": 1,
    "workers": 1,
    "days": 0.25,
    "workinghours_perworker_perday": 8,
    "unit": "u.",
    "price_unit": 50.0,
    "price_total_without_margin": 100.0,
    "margin": 0,
    "price_total_with_margin": 100.0,
    "product_id": 0,
    "machine_id": 0,
    "hour_id": 2,
    "address_id_subcontractor": 0,
    "ts_lastupdate": "2019–08–20 12:42:41"
  }
]
}

/CostCalculation/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CostCalculation/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "parent_type",
    "type_id": 2,
    "type_name": "tpString",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "parent_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]